package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF7A7 extends MwfRequest<MWF7A7, MWF7A7Response> {

    @Parameter(name = "ChannelId")
    MWF7A7 channelId(String channelId);
    @Parameter(name = "ClientName")
    MWF7A7 clientName(String clientName);
    @Parameter(name = "ClientSurname")
    MWF7A7 clientSurname(String clientSurname);
    @Parameter(name = "CmId")
    MWF7A7 cmId(String cmId);
    @Parameter(name = "DocumentSuspiciousData")
    MWF7A7 documentSuspiciousData(Boolean documentSuspiciousData);
    @Parameter(name = "Email")
    MWF7A7 email(String email);
    @Parameter(name = "Geolocation")
    MWF7A7 geolocation(String geolocation);
    @Parameter(name = "NationalIDControlNumber")
    MWF7A7 nationalIDControlNumber(Long nationalIDControlNumber);
    @Parameter(name = "ProdPackageKey")
    MWF7A7 prodPackageKey(Long prodPackageKey);
    @Parameter(name = "RWS_DocumentEdited")
    MWF7A7 rWSDocumentEdited(java.util.List<MWF7A7RWSDocumentEdited> rWSDocumentEdited);
    @Parameter(name = "RWS_DocumentNameMismatch")
    MWF7A7 rWSDocumentNameMismatch(java.util.List<MWF7A7RWSDocumentNameMismatch> rWSDocumentNameMismatch);
    @Parameter(name = "RWS_DocumentSuspiciousScan")
    MWF7A7 rWSDocumentSuspiciousScan(java.util.List<MWF7A7RWSDocumentSuspiciousScan> rWSDocumentSuspiciousScan);
    @Parameter(name = "VerificationMethod")
    MWF7A7 verificationMethod(String verificationMethod);
}
